Bug 839917 - CVE-2012-2813 CVE-2012-2814 CVE-2012-2836 CVE-2012-2837 CVE-2012-2840 CVE-2012-2841 CVE-2012-2812 libexif various flaws [fedora-all]
CVE-2012-2813 CVE-2012-2814 CVE-2012-2836 CVE-2012-2837 CVE-2012-2840 CVE-201...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libexif (Show other bugs)
16
All Linux
low Severity low
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-2813 CVE-2012-2814 CVE-2012-2836 CVE-2012-2837 CVE-2012-2840 CVE-2012-2841 CVE-2012-2812
  Show dependency treegraph
 
Reported: 2012-07-13 04:11 EDT by Stefan Cornelius
Modified: 2013-02-14 11:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 22:04:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2012-07-13 04:11:28 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=839182

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Stefan Cornelius 2012-07-13 04:12:57 EDT
Adding parent bug CVE-2012-2814
New bodhi update url:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=839182,839183
Comment 2 Stefan Cornelius 2012-07-13 04:15:04 EDT
Adding parent bug CVE-2012-2836
New bodhi update url:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=839182,839183,839184
Comment 3 Stefan Cornelius 2012-07-13 04:17:10 EDT
Adding parent bug CVE-2012-2837
New bodhi update url:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=839182,839183,839184,839185
Comment 4 Stefan Cornelius 2012-07-13 04:19:10 EDT
Adding parent bug CVE-2012-2840
New bodhi update url:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=839182,839183,839184,839185,839188
Comment 7 Petr Šabata 2012-07-13 09:41:55 EDT
Built in Rawhide as libexif-0.6.21-1.fc18.

Pushed the updated for F16 and F17 with the same NVRs.
Comment 8 Fedora End Of Life 2013-01-16 21:18:05 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Petr Šabata 2013-01-17 08:13:23 EST
The updates didn't get automatically pushed into updates-testing repository for some reason.  I've pushed them now.
Comment 10 Fedora End Of Life 2013-02-13 22:04:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.